Search:

# CWIS Developers Documentation

Public Member Functions | Static Public Member Functions | Public Attributes

# User Class Reference

## Public Member Functions
| User (&$SessionOrDb, $UserInfo=NULL)
| Status ()
| StatusMessage ($StatusCode=NULL)
| Delete ()
| Id ()
| Name ()
| LastLocation ($NewLocation=NULL)
| LastActiveDate ()
| LastIPAddress ()
| Get ($FieldName)
| GetDate ($FieldName, $Format="")
| Set ($FieldName, $NewValue)
| Login ($UserName, $Password, $IgnorePassword=FALSE)
| Logout ()
| GetPasswordSalt ($UserName)
| IsLoggedIn ()
| IsNotLoggedIn ()
| ChangePassword ($OldPassword, $NewPassword, $NewPasswordAgain)
| SetPassword ($NewPassword)
| CreateNewUserWithEMailedPassword ($UserName, $EMail, $EMailAgain, $TemplateFile="Axis--User--EMailTemplate.txt")
| CreateNewUserAndMailPasswordFromFile ($UserName, $EMail, $EMailAgain, $TemplateFile="Axis--User--EMailTemplate.txt")
| CreateNewUserAndMailPassword ($UserName, $EMail, $EMailAgain, $EMailSubject, $EMailBody)
| GetActivationCode ()
| IsActivationCodeGood ($Code)
| IsActivated ($NewValue=DB_NOVALUE)
| GetResetCode ()
| IsResetCodeGood ($Code)
| GetMailChangeCode ()
| IsMailChangeCodeGood ($Code)
| SendEMail ($TemplateTextOrFileName, $FromAddress=NULL, $MoreSubstitutions=NULL, $ToAddress=NULL)
| HasPriv ($Privilege)
| Check whether user has specified privilege(s).
| GrantPriv ($Privilege)
| RevokePriv ($Privilege)
| GetPrivList ()
| SetPrivList ($NewPrivileges)
| GetUniqueCode ($SeedString, $CodeLength)
| GetRandomPassword ($PasswordMinLength=6, $PasswordMaxLength=8)
| UpdateValue ($FieldName, $NewValue=DB_NOVALUE)
| GivePriv ($Privilege)
## Static Public Member Functions
static | GetSqlQueryForUsersWithPriv ($Privilege)
| Get an SQL query that will return IDs of all users that have the specified privilege flags.
static | IsValidUserName ($UserName)
static | IsValidPassword ($Password)
static | IsValidLookingEMailAddress ($EMail)
static | NormalizeEMailAddress ($EMailAddress)
static | NormalizeUserName ($UserName)
static | NormalizePassword ($Password)
## Public Attributes
| $DB
| $Session
| $UserId
| $Result
| $LoggedIn
| $DBFields

List of all members.

## Detailed Description

Definition at line 42 of file Axis--User.php.

Inheritance diagram for User:
[legend]

## Member Function Documentation

User::ChangePassword | ( | $ | OldPassword,
|  | $ | NewPassword,
|  | $ | NewPasswordAgain
| ) |  |

Definition at line 390 of file Axis--User.php.

References IsLoggedIn(), IsValidPassword(), and SetPassword().

User::CreateNewUserAndMailPassword | ( | $ | UserName,
|  | $ | EMail,
|  | $ | EMailAgain,
|  | $ | EMailSubject,
|  | $ | EMailBody
| ) |  |

Definition at line 465 of file Axis--User.php.

References $Result, GetRandomPassword(), IsValidLookingEMailAddress(), and Set().

Referenced by CreateNewUserAndMailPasswordFromFile().

Here is the caller graph for this function:

User::CreateNewUserAndMailPasswordFromFile | ( | $ | UserName,
|  | $ | EMail,
|  | $ | EMailAgain,
|  | $ | TemplateFile = `"Axis--User--EMailTemplate.txt"`
| ) |  |

Definition at line 452 of file Axis--User.php.

References CreateNewUserAndMailPassword().

Referenced by CreateNewUserWithEMailedPassword().

Here is the caller graph for this function:

User::CreateNewUserWithEMailedPassword | ( | $ | UserName,
|  | $ | EMail,
|  | $ | EMailAgain,
|  | $ | TemplateFile = `"Axis--User--EMailTemplate.txt"`
| ) |  |

Definition at line 444 of file Axis--User.php.

References CreateNewUserAndMailPasswordFromFile().

User::Delete | ( | ) |

Definition at line 163 of file Axis--User.php.

User::Get | ( | $ | FieldName ) |

Definition at line 214 of file Axis--User.php.

References UpdateValue().

Referenced by GetMailChangeCode(), GetUniqueCode(), LastActiveDate(), LastIPAddress(), LastLocation(), Name(), and SendEMail().

Here is the caller graph for this function:

User::GetActivationCode | ( | ) |

Definition at line 527 of file Axis--User.php.

References GetUniqueCode().

Referenced by IsActivationCodeGood(), and SendEMail().

Here is the caller graph for this function:

User::GetDate | ( | $ | FieldName,
|  | $ | Format = `""`
| ) |  |

Definition at line 220 of file Axis--User.php.

User::GetMailChangeCode | ( | ) |

Definition at line 563 of file Axis--User.php.

References Get(), and GetUniqueCode().

Referenced by IsMailChangeCodeGood(), and SendEMail().

Here is the caller graph for this function:

User::GetPasswordSalt | ( | $ | UserName ) |

Definition at line 346 of file Axis--User.php.

References $Result.

User::GetPrivList | ( | ) |

Definition at line 801 of file Axis--User.php.

User::GetRandomPassword | ( | $ | PasswordMinLength = `6`,
|  | $ | PasswordMaxLength = `8`
| ) |  |

Definition at line 882 of file Axis--User.php.

Referenced by CreateNewUserAndMailPassword().

Here is the caller graph for this function:

User::GetResetCode | ( | ) |

Definition at line 548 of file Axis--User.php.

References GetUniqueCode().

Referenced by IsResetCodeGood(), and SendEMail().

Here is the caller graph for this function:

static User::GetSqlQueryForUsersWithPriv | ( | $ | Privilege ) | `[static]`

Get an SQL query that will return IDs of all users that have the specified privilege flags.

This method is useful primarily for subqueries.

Parameters:

  Privilege | Privilege or array of privileges.
  Privileges | One or more additional privileges. (variable length argument list) (OPTIONAL)

Returns:
  SQL query to retrieve user IDs.

Definition at line 722 of file Axis--User.php.

User::GetUniqueCode | ( | $ | SeedString,
|  | $ | CodeLength
| ) |  |

Definition at line 827 of file Axis--User.php.

References Get().

Referenced by GetActivationCode(), GetMailChangeCode(), and GetResetCode().

Here is the caller graph for this function:

User::GivePriv | ( | $ | Privilege ) |

Definition at line 900 of file Axis--User.php.

References GrantPriv().

User::GrantPriv | ( | $ | Privilege ) |

Definition at line 757 of file Axis--User.php.

Referenced by GivePriv(), and SetPrivList().

Here is the caller graph for this function:

User::HasPriv | ( | $ | Privilege ) |

Check whether user has specified privilege(s).

Parameters:

  Privilege | Privilege or array of privileges.
  Privileges | One or more additional privileges. (variable length argument list) (OPTIONAL)

Returns:
  TRUE if user has one or more of specified privilege(s), otherwise FALSE.

Definition at line 670 of file Axis--User.php.

References IsLoggedIn().

User::Id | ( | ) |

Definition at line 179 of file Axis--User.php.

Referenced by SPTUser::SPTUser(), and SPTUser::UUPUpdateValue().

Here is the caller graph for this function:

User::IsActivated | ( | $ | NewValue = `DB_NOVALUE` ) |

Definition at line 542 of file Axis--User.php.

References UpdateValue().

User::IsActivationCodeGood | ( | $ | Code ) |

Definition at line 535 of file Axis--User.php.

References GetActivationCode().

User::IsLoggedIn | ( | ) |

Definition at line 383 of file Axis--User.php.

Referenced by ChangePassword(), HasPriv(), and SPTUser::SPTUser().

Here is the caller graph for this function:

User::IsMailChangeCodeGood | ( | $ | Code ) |

Definition at line 571 of file Axis--User.php.

References GetMailChangeCode().

User::IsNotLoggedIn | ( | ) |

Definition at line 384 of file Axis--User.php.

User::IsResetCodeGood | ( | $ | Code ) |

Definition at line 556 of file Axis--User.php.

References GetResetCode().

static User::IsValidLookingEMailAddress | ( | $ | EMail ) | `[static]`

Definition at line 858 of file Axis--User.php.

Referenced by CreateNewUserAndMailPassword(), and UserFactory::TestNewUserValues().

Here is the caller graph for this function:

static User::IsValidPassword | ( | $ | Password ) | `[static]`

Definition at line 851 of file Axis--User.php.

Referenced by ChangePassword(), and UserFactory::TestNewUserValues().

Here is the caller graph for this function:

static User::IsValidUserName | ( | $ | UserName ) | `[static]`

Definition at line 845 of file Axis--User.php.

Referenced by UserFactory::FindUserNames(), and UserFactory::TestNewUserValues().

Here is the caller graph for this function:

User::LastActiveDate | ( | ) |

Definition at line 204 of file Axis--User.php.

References Get().

User::LastIPAddress | ( | ) |

Definition at line 208 of file Axis--User.php.

References Get().

User::LastLocation | ( | $ | NewLocation = `NULL` ) |

Definition at line 187 of file Axis--User.php.

References Get().

User::Login | ( | $ | UserName,
|  | $ | Password,
|  | $ | IgnorePassword = `FALSE`
| ) |  |

Definition at line 248 of file Axis--User.php.

References Session::RegisterVariable().

User::Logout | ( | ) |

Definition at line 333 of file Axis--User.php.

References Session::UnregisterVariable().

User::Name | ( | ) |

Definition at line 183 of file Axis--User.php.

References Get().

static User::NormalizeEMailAddress | ( | $ | EMailAddress ) | `[static]`

Definition at line 864 of file Axis--User.php.

Referenced by UserFactory::EMailAddressIsInUse(), and UserFactory::TestNewUserValues().

Here is the caller graph for this function:

static User::NormalizePassword | ( | $ | Password ) | `[static]`

Definition at line 876 of file Axis--User.php.

Referenced by UserFactory::TestNewUserValues().

Here is the caller graph for this function:

static User::NormalizeUserName | ( | $ | UserName ) | `[static]`

Definition at line 870 of file Axis--User.php.

Referenced by UserFactory::CreateNewUser(), UserFactory::TestNewUserValues(), and UserFactory::UserNameExists().

Here is the caller graph for this function:

User::RevokePriv | ( | $ | Privilege ) |

Definition at line 789 of file Axis--User.php.

User::SendEMail | ( | $ | TemplateTextOrFileName,
|  | $ | FromAddress = `NULL`,
|  | $ | MoreSubstitutions = `NULL`,
|  | $ | ToAddress = `NULL`
| ) |  |

Definition at line 578 of file Axis--User.php.

References $Result, Get(), GetActivationCode(), GetMailChangeCode(), GetResetCode(), and Status().

User::Set | ( | $ | FieldName,
|  | $ | NewValue
| ) |  |

Definition at line 238 of file Axis--User.php.

References UpdateValue().

Referenced by CreateNewUserAndMailPassword().

Here is the caller graph for this function:

User::SetPassword | ( | $ | NewPassword ) |

Definition at line 435 of file Axis--User.php.

References UpdateValue().

Referenced by ChangePassword().

Here is the caller graph for this function:

User::SetPrivList | ( | $ | NewPrivileges ) |

Definition at line 809 of file Axis--User.php.

References GrantPriv().

User::Status | ( | ) |

Definition at line 120 of file Axis--User.php.

Referenced by SendEMail().

Here is the caller graph for this function:

User::StatusMessage | ( | $ | StatusCode = `NULL` ) |

Definition at line 126 of file Axis--User.php.

User::UpdateValue | ( | $ | FieldName,
|  | $ | NewValue = `DB_NOVALUE`
| ) |  |

Definition at line 893 of file Axis--User.php.

Referenced by Get(), IsActivated(), Set(), and SetPassword().

Here is the caller graph for this function:

User::User | ( | &$ | SessionOrDb,
|  | $ | UserInfo = `NULL`
| ) |  |

Definition at line 46 of file Axis--User.php.

References Session::Get().

Referenced by SPTUser::SPTUser().

Here is the caller graph for this function:

## Member Data Documentation

User::$DB

Reimplemented in SPTUser.

Definition at line 837 of file Axis--User.php.

User::$DBFields

Definition at line 842 of file Axis--User.php.

User::$LoggedIn

Definition at line 841 of file Axis--User.php.

User::$Result

Definition at line 840 of file Axis--User.php.

Referenced by CreateNewUserAndMailPassword(), GetPasswordSalt(), and SendEMail().

User::$Session

Definition at line 838 of file Axis--User.php.

Referenced by SPTUser::SPTUser().

User::$UserId

Definition at line 839 of file Axis--User.php.

The documentation for this class was generated from the following file:

- Axis--User.php